Package org.apache.sling.launchpad.testservices.resourceprovider

# Class PlanetResource

java.lang.Object
org.apache.sling.api.adapter.SlingAdaptable
org.apache.sling.api.resource.AbstractResource
org.apache.sling.launchpad.testservices.resourceprovider.PlanetResource

All Implemented Interfaces:
  `org.apache.sling.api.adapter.Adaptable`, `org.apache.sling.api.resource.Resource`

@Adaptable(adaptableClass=org.apache.sling.api.resource.Resource.class, adapters=@Adapter(org.apache.sling.api.resource.ValueMap.class)) public class PlanetResource extends org.apache.sling.api.resource.AbstractResource implements org.apache.sling.api.resource.Resource
A Sling Resource that represents a planet

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`RESOURCE_TYPE`

### Fields inherited from interface org.apache.sling.api.resource.Resource

`RESOURCE_TYPE_NON_EXISTING`

## Method Summary

Modifier and Type
Method
Description
`<AdapterType>
AdapterType`
`adaptTo(Class<AdapterType> type)`
`String`
`getPath()`
`org.apache.sling.api.resource.ResourceMetadata`
`getResourceMetadata()`
`org.apache.sling.api.resource.ResourceResolver`
`getResourceResolver()`
`String`
`getResourceSuperType()`
`String`
`getResourceType()`
`String`
`toString()`

### Methods inherited from class org.apache.sling.api.resource.AbstractResource

`getChild, getChildren, getName, getParent, getValueMap, hasChildren, isResourceType, listChildren`

### Methods inherited from class org.apache.sling.api.adapter.SlingAdaptable

`setAdapterManager, unsetAdapterManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.sling.api.resource.Resource

`getChild, getChildren, getName, getParent, getValueMap, hasChildren, isResourceType, listChildren`

## Field Details

### RESOURCE_TYPE

public static final String RESOURCE_TYPE

See Also:
  - Constant Field Values

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getPath

public String getPath()

Specified by:
  `getPath` in interface `org.apache.sling.api.resource.Resource`

### getResourceMetadata

public org.apache.sling.api.resource.ResourceMetadata getResourceMetadata()

Specified by:
  `getResourceMetadata` in interface `org.apache.sling.api.resource.Resource`

### getResourceResolver

public org.apache.sling.api.resource.ResourceResolver getResourceResolver()

Specified by:
  `getResourceResolver` in interface `org.apache.sling.api.resource.Resource`

### getResourceSuperType

public String getResourceSuperType()

Specified by:
  `getResourceSuperType` in interface `org.apache.sling.api.resource.Resource`

### getResourceType

public String getResourceType()

Specified by:
  `getResourceType` in interface `org.apache.sling.api.resource.Resource`

### adaptTo

public <AdapterType> AdapterType adaptTo(Class<AdapterType> type)

Specified by:
  `adaptTo` in interface `org.apache.sling.api.adapter.Adaptable`
Overrides:
  `adaptTo` in class `org.apache.sling.api.adapter.SlingAdaptable`